Subject: Re: [PATCH] fetch-pack: do not mix --pack_header and packfile uri

From: Junio C Hamano <[email-masked]>
Date: Tue, 09 Mar 2021 21:24:18 -0800

Junio C Hamano <[email-masked]> writes:

> Instead, I think we should not touch index_pack in the earlier part
> of the function at all (both reading, writing, or even checking for
> NULL-ness), ...

I have to take the "NULL-ness" part back.  As the NULL-ness of the
variable is also used to convey that URI packfile is in use, which
in turn means we have to tell "index-pack" we are going to use for
processing in-stream packfile that the objects in the pack may be
pointing at objects that are not yet available.  So we do need to
check for the NULL-ness in order to decide what command line to use
to process the in-stream packdata.